## NautilusColumnProvider

NautilusColumnProvider — Interface to provide additional list view columns

## Functions

GList * | nautilus_column_provider_get_columns ()

## Types and Values

| NautilusColumnProvider
struct | NautilusColumnProviderIface

## Object Hierarchy

        GInterface
        ╰── NautilusColumnProvider

## Prerequisites

NautilusColumnProvider requires GObject.

## Includes

    #include <libnautilus-extension/nautilus-column-provider.h>

## Description

NautilusColumnProvider allows extension to provide additional columns in the file manager list view.

## Functions

### nautilus_column_provider_get_columns ()

    GList *
    nautilus_column_provider_get_columns (NautilusColumnProvider *provider);

#### Parameters

provider | a NautilusColumnProvider |

#### Returns

the provided NautilusColumn objects.

[element-type NautilusColumn][transfer full]

## Types and Values

### NautilusColumnProvider

    typedef struct _NautilusColumnProvider NautilusColumnProvider;

### struct NautilusColumnProviderIface

    struct NautilusColumnProviderIface {
    	GTypeInterface g_iface;

    	GList *(*get_columns) (NautilusColumnProvider *provider);
    };

Interface for extensions to provide additional list view columns.

#### Members

`get_columns` () | Returns a GList of NautilusColumn. See `nautilus_column_provider_get_columns()` for details. |